using NAT.Common;
using NAT.Common.Handlers;
using NAT.Common.Handlers.Configs;
using NAT.Common.Models;

namespace NAT.BM.Handlers
{
    sealed class HipClothingHandler : ClothingHandler
    {
        internal override void Init<T>(ProviderBase provider)
        {
            base.Init<T>(provider);
            leftRb = Person.LeftGlute.Rigidbody;
            rightRb = Person.RightGlute.Rigidbody;
            jointPhysicsHandler = provider.GetInstance<GluteJointPhysicsHandler>();
            softPhysicsHandler = provider.GetInstance<GluteSoftPhysicsHandler>();
            gravityPhysicsHandler = provider.GetInstance<GluteGravityPhysicsHandler>();
            ClothingProfilesDir = "HipClothingProfiles";
            validRegionTags = new[] { "full body", "hip" };
            invalidRegionTags = new[] { "torso", "arms", "feet", "hands", "head", "legs", "neck" };
            PresetHandler = new ClothingPresetHandler(Script, this, ClothingProfilesDir);
            LoadSettings();
            initialized = true;
        }

        internal void SetMultipliers(float mass)
        {
            upDownMassMultiplier = 1f;
            sidewaysMassMultiplier = 1f;
            inOutMassMultiplier = 1f;
        }

        protected override ClothingAdjustmentProfile GetProfile(ClothingItem item) => item.HipProfile;
        protected override void SetProfile(ClothingItem item, ClothingAdjustmentProfile profile) => item.HipProfile = profile;
    }
}
