using NAT.BM.Handlers;
using NAT.Common;
using NAT.Common.Handlers;
using Naturalis;
using System;
using System.Collections.Generic;

namespace NAT.BM
{
    sealed class Provider : ProviderBase
    {
        internal Provider(BootyMagic bootyMagic) : base(
            new Dictionary<Type, object>
            {
                { typeof(BootyMagic), bootyMagic },
                { typeof(AngleCalculator), new AngleCalculator() },
                { typeof(GluteJointPhysicsHandler), new GluteJointPhysicsHandler() },
                { typeof(GluteSoftPhysicsHandler), new GluteSoftPhysicsHandler() },
                { typeof(GluteGravityPhysicsHandler), new GluteGravityPhysicsHandler() },
                { typeof(GluteForcePhysicsHandler), new GluteForcePhysicsHandler() },
                { typeof(FrictionHandler), new GluteFrictionHandler() },
                { typeof(HardColliderHandler), new GluteColliderHandler() },
                { typeof(GluteForceMorphHandler), new GluteForceMorphHandler() },
                { typeof(HipClothingHandler), new HipClothingHandler() },
            })
        {
        }
    }
}
