using System.Collections.Generic;
using System.Linq;

namespace ColliderEditor.Models
{
    sealed class AutoColliderGroupModel : ColliderContainerModelBase<AutoColliderGroup>, IModel
    {
        readonly List<AutoColliderModel> _autoColliders;
        protected override bool OwnsColliders => true;
        public string Type => "Auto Collider Group";
        internal AutoColliderGroup AutoColliderGroup => component;

        internal AutoColliderGroupModel(AutoColliderGroup autoColliderGroup, List<AutoColliderModel> autoColliders)
            : base(autoColliderGroup, $"[ag] {NameHelper.Simplify(autoColliderGroup.name)}")
        {
            _autoColliders = autoColliders;
        }

        internal override IEnumerable<ColliderModel> GetColliders() => _autoColliders.SelectMany(ac => ac.GetColliders());
    }
}
