using System.Collections.Generic;
using UnityEngine;

namespace ColliderEditor.Models
{
    sealed class RigidbodyModel : ColliderContainerModelBase<Rigidbody>, IModel
    {
        protected override bool OwnsColliders => false;
        public string Type => "Rigidbody";
        internal List<ColliderModel> Colliders { get; } = new List<ColliderModel>();
        internal Rigidbody Rigidbody => component;

        internal RigidbodyModel(Rigidbody rigidbody) : base(rigidbody, $"[rb] {NameHelper.Simplify(rigidbody.name)}")
        {
        }

        internal override IEnumerable<ColliderModel> GetColliders() => Colliders;
    }
}
