using System.Linq;
using UnityEngine;

namespace ColliderEditor.Models
{
    sealed class SphereColliderModel : ColliderModel<SphereCollider>
    {
        internal SphereColliderModel(SphereCollider collider, ColliderPreviewConfig config)
            : base(collider, config)
        {
        }

        protected override GameObject[] DoCreatePreview()
        {
            return new[]
            {
                GameObject.CreatePrimitive(PrimitiveType.Sphere),
            };
        }

        public override void SyncPreviews()
        {
            SyncPreview(Preview?.First());
            SyncPreview(XRayPreview?.First());
        }

        void SyncPreview(GameObject preview)
        {
            if(!preview)
            {
                return;
            }

            preview.transform.localScale = Vector3.one * (collider.radius * 2);
            preview.transform.localPosition = collider.center;
        }
    }
}
