using System;

namespace NAT.Common.Components
{
    sealed class Scaler
    {
        internal float Offset { get; set; }
        internal float Max { get; set; }

        internal Func<float, float> MassCurve { get; set; } = x => 0;
        internal Func<float, float> SoftnessCurve { get; set; } = x => 0;

        internal float Scale(float value, float mass, float softness)
        {
            float totalOffset = MassCurve(mass) + SoftnessCurve(softness) + Offset;
            return (totalOffset + value) / Max;
        }

        internal float Scale(float value, float mass)
        {
            float totalOffset = MassCurve(mass) + Offset;
            return (totalOffset + value) / Max;
        }
    }
}
