// ReSharper disable MemberCanBePrivate.Global UnusedMember.Global UnusedMethodReturnValue.Global UnusedType.Global
using System.Text;
using UnityEngine;

namespace NAT
{
    static class StringBuilderExtensions
    {
        internal static StringBuilder AppendBold(this StringBuilder sb, string str) =>
            sb.AppendFormat("<b>{0}</b>", str);

        internal static StringBuilder AppendItalic(this StringBuilder sb, string str) =>
            sb.AppendFormat("<i>{0}</i>", str);

        internal static StringBuilder AppendSize(this StringBuilder sb, string str, int size) =>
            sb.AppendFormat("<size={0}>{1}</size>", size, str);

        internal static StringBuilder AppendColor(this StringBuilder sb, string str, Color color) =>
            sb.AppendFormat("<color=#{0}>{1}</color>", ColorUtility.ToHtmlStringRGB(color), str);

        internal static StringBuilder Clear(this StringBuilder sb)
        {
            sb.Length = 0;
            sb.Capacity = 0;
            return sb;
        }
    }
}
