using UnityEngine.UI;

namespace NAT
{
    static class UIDynamicPopupExtensions
    {
        internal static void SetInteractable(this UIDynamicPopup uiDynamicPopup, bool interactable)
        {
            var slider = uiDynamicPopup.GetComponentInChildren<Slider>();
            if(slider)
            {
                slider.interactable = interactable;
            }

            foreach(var button in uiDynamicPopup.GetComponentsInChildren<Button>())
            {
                button.interactable = interactable;
            }
        }

        internal static void SetVisible(this UIDynamicPopup uiDynamicPopup, bool visible) => uiDynamicPopup.popup.visible = visible;
    }
}
