using NAT;
using NAT.Common.Storables;
using SimpleJSON;
using UnityEngine;

namespace Naturalis.Common.Handlers.Configs
{
    class AdjustmentFloatParam
    {
        const float TOLERANCE = 0.00001f;
        internal StorableFloat StorableParam { get; }
        internal float AdjustedValue { get; set; }
        float _savedValue;

        internal AdjustmentFloatParam(StorableFloat storableParam)
        {
            StorableParam = storableParam;
        }

        internal string Name => StorableParam.name;
        internal float Value => StorableParam.val;
        internal void SetVal(float value) => StorableParam.SetVal(value);
        internal void SetValNoCallback(float value) => StorableParam.valNoCallback = value;
        internal void SetValFromJSON(JSONClass jc) => StorableParam.SetValFromJSON(jc);
        internal void SetDefaultValNoCallback() => StorableParam.SetDefaultValNoCallback();

        internal void CopyFrom(AdjustmentFloatParam other)
        {
            StorableParam.valNoCallback = other.StorableParam.val;
            AdjustedValue = other.AdjustedValue;
        }

        internal void SaveValue() => _savedValue = StorableParam.val;
        internal bool IsSaved => Mathf.Abs(StorableParam.val - _savedValue) < TOLERANCE;
    }
}
