using NAT.Common.Storables;
using UnityEngine;

namespace NAT.Common.Models
{
    class ClothingMorphConfig
    {
        internal DAZMorph Left { get; }
        internal DAZMorph Right { get; }
        internal StorableFloat StorableFloat { get; }
        internal Vector3 OffsetsCompensation { get; set; } = Vector3.zero;
        internal Vector3 GetLeftMorphsOffsetsCompensation() => OffsetsCompensation * Left.morphValue;

        internal Vector3 GetRightMorphsOffsetsCompensation() =>
            new Vector3(-OffsetsCompensation.x, OffsetsCompensation.y, OffsetsCompensation.z) * Right.morphValue;

        internal ClothingMorphConfig(DAZMorph left, DAZMorph right, StorableFloat storableFloat)
        {
            Left = left;
            Right = right;
            StorableFloat = storableFloat;
        }
    }
}
