using NAT.Common.Storables;

namespace NAT.Common.Handlers.Configs
{
    class GradientConfig
    {
        // middle offset of gradient from -1 (outermost joint) to 1 (center joint)
        internal StorableFloat MiddleShiftJsf { get; set; }

        // multiplier for the outermost joint value
        internal StorableFloat OuterMultiplierJsf { get; set; }

        // multiplier for the center joint value (TittyMagic) or the main1 and center joint values (BootyMagic)
        internal StorableFloat CenterMultiplierJsf { get; set; }

        // multiplier for the nipple joint value
        internal StorableFloat NippleMultiplierJsf { get; set; }

        // curvature of smoothstep function from 0 (outermost joint) to middle
        internal float OuterToMiddleCurvature { get; set; }

        // mid point of smoothstep function from 0 (outermost joint) to middle
        internal float OuterToMiddleMidPoint { get; set; }

        // curvature of smoothstep function from middle to 1 (center joint)
        internal float MiddleToCenterCurvature { get; set; }

        // mid point of smoothstep function from middle to 1 (center joint)
        internal float MiddleToCenterMidPoint { get; set; }

        internal bool IsModified =>
            MiddleShiftJsf.IsModified ||
            OuterMultiplierJsf.IsModified ||
            CenterMultiplierJsf.IsModified ||
            (NippleMultiplierJsf?.IsModified ?? false);
    }
}
