﻿namespace NAT.Common.Handlers
{
    abstract class Handler
    {
        protected ScriptBase Script { get; private set; }
        protected Person Person { get; private set; }
        protected bool initialized = false;

        internal virtual void Init<T>(ProviderBase provider) where T : ScriptBase
        {
            Script = provider.GetInstance<T>();
            Person = Script.Person;
        }

        protected abstract void LoadSettings();

        internal abstract void PreRegisterParams();
    }
}
