using NAT.Common.Models;
using System.Collections.Generic;

namespace NAT.Common.Handlers
{
    abstract class JointPhysicsHandler : Handler
    {
        // AdjustJoints.joint1.slerpDrive.maximumForce value
        protected const float DEFAULT_SLERP_MAX_FORCE = 500; // TODO check

        internal float CalibratedMass { get; set; }
        internal float NormalizedMass { get; set; }
        internal float NormalizedRealMass { get; set; }

        internal List<JointPhysicsParamGroup> ParamGroups { get; set; }
        internal JointPhysicsParamGroup JointMass { get; set; }
        internal JointPhysicsParamGroup CenterOfGravity { get; set; }
        internal JointPhysicsParamGroup RotationSpring { get; set; }
        internal JointPhysicsParamGroup RotationDamper { get; set; }

        // internal JointPhysicsParamGroup AngularSpring { get; private set; }
        // internal JointPhysicsParamGroup AngularDamper { get; private set; }
        // internal JointPhysicsParamGroup UpDownSpring { get; private set; }
        // internal JointPhysicsParamGroup UpDownDamper { get; private set; }

        internal JointPhysicsParamGroup InOutSpring { get; set; }
        internal JointPhysicsParamGroup InOutDamper { get; set; }
        internal JointPhysicsParamGroup UpDownAngleTarget { get; set; }
        internal JointPhysicsParamGroup RightLeftAngleTarget { get; set; }

        internal void Execute()
        {
            foreach(var group in ParamGroups)
            {
                group.DoSync();
            }
        }
    }
}
