using System.Diagnostics.CodeAnalysis;

namespace NAT
{
    [SuppressMessage("ReSharper", "InconsistentNaming")]
    static class Constant
    {
        internal const string EVERLASTER = "everlaster";
        internal const string NATURALIS = "Naturalis";
        internal const string BOOTY_MAGIC = "BootyMagic";
        internal const string TITTY_MAGIC = "TittyMagic";
        /* UI modification ids */
        internal const string MALE_MORPHS = "maleMorphs";
        internal const string FEMALE_MORPHS = "femaleMorphs";
        internal const string M_PECTORAL_PHYSICS = "mPectoralPhysics";
        internal const string F_BREAST_PHYSICS_1 = "fBreastPhysics1";
        internal const string F_BREAST_PHYSICS_2 = "fBreastPhysics2";
        internal const string F_BREAST_PRESETS = "fBreastPresets";
        internal const string F_GLUTE_PHYSICS = "fGlutePhysics";
        internal const string F_GLUTE_PRESETS = "fGlutePresets";
        internal const string SKIN_MATERIALS_2_FRICTION = "skinMaterials2Friction";
        internal const string SKIN_MATERIALS_2_MOVE_BTN_GROUP = "skinMaterials2MoveBtnGroup";
        internal const string SKIN_MATERIALS_2_ADD_BTN = "skinMaterials2AddBtn";
        /* JSONStorable param names */
        const string INTERNAL = "internal_";
        internal readonly static string INTERNAL_IS_CALIBRATING = $"{INTERNAL}isCalibrating";
        internal readonly static string INTERNAL_SHOW_FRICTION_UI = $"{INTERNAL}showFrictionUI";
        internal readonly static string INTERNAL_HIDE_FRICTION_UI = $"{INTERNAL}hideFrictionUI";
        internal readonly static string INTERNAL_SET_TOP_ELEMENTS_POSITION = $"{INTERNAL}setTopElementsPosition";
        internal readonly static string INTERNAL_CALCULATE_FRICTION = $"{INTERNAL}calculateFriction";
        internal readonly static string INTERNAL_SYNC_SOFT_PHYSICS = $"{INTERNAL}syncSoftPhysics";
        internal readonly static string INTERNAL_ON_PHYSICS_RATE_CHANGED = $"{INTERNAL}onPhysicsRateChanged";
        internal readonly static string INTERNAL_ON_CHARACTER_CHANGED = $"{INTERNAL}onCharacterChanged";
        internal readonly static string INTERNAL_UNSET_CALIBRATION_PENDING = $"{INTERNAL}unsetCalibrationPending";
        internal readonly static string INTERNAL_SKIN_MATERIALS_2_MODIFIED = $"{INTERNAL}skinMaterials2Modified";
        internal readonly static string INTERNAL_IS_MIGRATION_SCRIPT = $"{INTERNAL}isMigrationScript";
        internal readonly static string INTERNAL_PROCESS_MORPHS = $"{INTERNAL}processMorphs";
        internal const string GLUTE_SOFT_PHYSICS_ENABLED = "Glute Soft Physics Enabled";
        internal const string BREAST_SOFT_PHYSICS_ENABLED = "Breast Soft Physics Enabled";
        internal const string CALIBRATE = "Calibrate";
        internal const string CALIBRATE_ON_NEXT_PENDING = "Calibrate On Next Pending";
        /* Calibration pending reasons (when no storable name) */
        internal const string SIZE_CHANGED = "Size Changed";
        internal const string SOFT_PHYSICS_CHANGED = "Soft Physics Changed";
        internal const string PHYSICS_RATE_CHANGED = "Physics Rate Changed";
        /* Hard Colliders */
        internal const string MASS_MULTIPLIER = "Mass Multiplier";
        internal const string RADIUS_OFFSET = "Radius Offset";
        internal const string X_OFFSET = "X Offset";
        internal const string Y_OFFSET = "Y Offset";
        internal const string Z_OFFSET = "Z Offset";
        /* Keybindings */
        internal const string OPEN_UI = "OpenUI";
        internal const string MAIN = "Main";
        internal const string PHYSICS = "Physics";
        internal const string MORPHS = "Morphs";
        internal const string HARD_COLLIDERS = "HardColliders";
        internal const string FRICTION = "Friction";
        internal const string CLOTHING = "Clothing";
        internal const string TOGGLE_ENABLED = "ToggleEnabled";
        /* General */
        internal const string DEFAULT_CALIBRATION_POSE = "DefaultCalibrationPose";
        internal const string NO_ROOT_CALIBRATION_POSE = "NoRootCalibrationPose";
        internal readonly static string NATURALIS_VERSION = $"{NATURALIS} Version";
        internal const float GRADIENT_MULTI_MAX = 5.00f;
        internal const int UI_MAX_HEIGHT = 1200;
        internal const string SELECT = "Select...";
        internal const string GLUTE_WEIGHT = "Glute Weight";
        internal const string BREAST_WEIGHT = "Breast Weight";
        internal const string COVERAGE = "Coverage";
        internal const float G = 9.81f;
    }
}
