﻿// ReSharper disable InconsistentNaming
namespace NAT
{
    static class BREAST_JOINT_MASS
    {
        internal const string NAME = "Breast Joint Mass";
        internal const float MIN = 0.150f;
        internal const float MAX = 3.000f;
    }

    static class GLUTE_JOINT_MASS
    {
        internal const string NAME = "Glute Joint Mass";
        internal const float MIN = 1.000f;
        internal const float MAX = 3.000f;
    }

    static class CENTER_OF_GRAVITY
    {
        internal const string NAME = "Center Of Gravity";
        internal const float MIN = 0.00f;
        internal const float MAX = 1.00f;
    }

    static class ROTATION_SPRING
    {
        internal const string NAME = "Rotation Spring";
        internal const float MIN = 10f;
        internal const float MAX = 200f;
    }

    static class ROTATION_DAMPER
    {
        internal const string NAME = "Rotation Damper";
        internal const float MIN = 0.00f;
        internal const float MAX = 5.00f;
    }

    // static class ANGULAR_SPRING
    // {
    //     internal const string NAME = "Angular Spring";
    //     internal const float MIN = 0f;
    //     internal const float MAX = 1000f;
    // }
    //
    // static class ANGULAR_DAMPER
    // {
    //     internal const string NAME = "Angular Damper";
    //     internal const float MIN = 0.00f;
    //     internal const float MAX = 50.00f;
    // }

    // static class UP_DOWN_SPRING
    // {
    //     internal const string NAME = "Up/Down Spring";
    //     internal const float MIN = 0f;
    //     internal const float MAX = 5000f;
    // }
    //
    // static class UP_DOWN_DAMPER
    // {
    //     internal const string NAME = "Up/Down Damper";
    //     internal const float MIN = 0f;
    //     internal const float MAX = 100f;
    // }

    static class RIGHT_LEFT_SPRING
    {
        internal const string NAME = "Right/Left Spring";
        internal const float MIN = 0f;
        internal const float MAX = 5000f;
    }

    static class RIGHT_LEFT_DAMPER
    {
        internal const string NAME = "Right/Left Damper";
        internal const float MIN = 0f;
        internal const float MAX = 100f;
    }

    static class IN_OUT_SPRING
    {
        internal const string NAME = "In/Out Spring";
        internal const float MIN = 0f;
        internal const float MAX = 5000f;
    }

    static class IN_OUT_DAMPER
    {
        internal const string NAME = "In/Out Damper";
        internal const float MIN = 0f;
        internal const float MAX = 50f;
    }

    static class BREAST_UP_DOWN_ANGLE_TARGET
    {
        internal const string NAME = "Up/Down Angle Target";
        internal const float MIN = -20.00f;
        internal const float MAX = 20.00f;
    }

    static class GLUTE_UP_DOWN_ANGLE_TARGET
    {
        internal const string NAME = "Up/Down Angle Target";
        internal const float MIN = -15.00f;
        internal const float MAX = 30.00f;
    }

    static class RIGHT_LEFT_ANGLE_TARGET
    {
        internal const string NAME = "Right/Left Angle Target";
        internal const float MIN = -20.00f;
        internal const float MAX = 20.00f;
    }

    static class TWIST_ANGLE_TARGET
    {
        internal const string NAME = "Twist Angle Target";
        internal const float MIN = -30.00f;
        internal const float MAX = 30.00f;
    }

    static class FAT_SPRING
    {
        internal const string NAME = "Fat Spring";
        internal const float MIN = 5f;
        internal const float MAX = 1000f;
        internal const float GRADIENT_MAX = MAX * Constant.GRADIENT_MULTI_MAX;
    }

    static class FAT_DAMPER
    {
        internal const string NAME = "Fat Damper";
        internal const float MIN = 0.00f;
        internal const float MAX = 10.00f;
        internal const float GRADIENT_MAX = MAX * Constant.GRADIENT_MULTI_MAX;
    }

    static class FAT_MASS
    {
        internal const string NAME = "Fat Mass";
        internal const float MIN = 0.010f;
        internal const float MAX = 0.300f;
        internal const float GRADIENT_MAX = MAX * Constant.GRADIENT_MULTI_MAX;
    }

    static class FAT_COLLIDER_RADIUS
    {
        internal const string NAME = "Fat Collider Radius";
        internal const float MIN = 0.0010f;
        internal const float MAX = 0.0600f;
        internal const float GRADIENT_MAX = MAX * Constant.GRADIENT_MULTI_MAX;
    }

    static class FAT_COLLIDER_DEPTH
    {
        internal const string NAME = "Fat Collider Depth";
        internal const float MIN = -0.0050f;
        internal const float MAX = 0.0050f;
        internal const float GRADIENT_MIN = MIN * Constant.GRADIENT_MULTI_MAX;
        internal const float GRADIENT_MAX = MAX * Constant.GRADIENT_MULTI_MAX;
    }

    static class FAT_COLLIDER_FRICTION
    {
        internal const string NAME = "Fat Collider Friction";
        internal const float MIN = 0.000f;
        internal const float MAX = 1.000f;
    }

    static class FAT_DISTANCE_LIMIT
    {
        internal const string NAME = "Fat Distance Limit";
        internal const float MIN = 0.000f;
        internal const float MAX = 0.100f;
        internal const float GRADIENT_MAX = MAX * Constant.GRADIENT_MULTI_MAX;
    }

    static class FAT_BACK_FORCE
    {
        internal const string NAME = "Fat Back Force";
        internal const float MIN = 0.00f;
        internal const float MAX = 50.00f;
    }

    static class FAT_BACK_FORCE_MAX_FORCE
    {
        internal const string NAME = "Fat Back Force Max Force";
        internal const float MIN = 0.00f;
        internal const float MAX = 50.00f;
    }

    static class FAT_BACK_FORCE_THRESHOLD
    {
        internal const string NAME = "Fat Back Force Threshold";
        internal const float MIN = 0.000f;
        internal const float MAX = 0.030f;
    }
}
