using SimpleJSON;

namespace NAT.Common.Storables
{
    sealed class StorableAction : JSONStorableAction, IStorableParam
    {
        public string Name => name;
        public bool Temporary { get; set; } // Cannot store actions
        public bool IsModified => false;
        public bool IsCalibrated => true;

        internal StorableAction(string name, ActionCallback callback) : base(name, callback)
        {
        }

        public void RegisterTo(MVRScript script) => script.RegisterAction(this);
    }
}
