using SimpleJSON;
using System.Collections.Generic;
using System.Diagnostics.CodeAnalysis;

namespace NAT.Common.Storables
{
    [SuppressMessage("ReSharper", "UnusedType.Global")]
    sealed class StorableStringChooser : JSONStorableStringChooser, IStorableParam
    {
        public string Name => name;
        public bool Temporary { get; set; }
        public bool IsModified => false;
        public bool IsCalibrated => true;

        internal StorableStringChooser(
            string paramName,
            List<string> options,
            string startingValue,
            string displayName
        ) : base(paramName, options, startingValue, displayName)
        {
            storeType = StoreType.Full;
        }

        public void RegisterTo(MVRScript script) => script.RegisterStringChooser(this);
    }
}
