﻿using NAT.Common.Handlers;
using NAT.Common.Handlers.Configs;
using System.Text;
using UnityEngine;

namespace NAT.Common
{
    static class HandlerUtils
    {
        internal static float CalculateUpsideDownFixerMultiplier(float pitch, float roll)
        {
            pitch = 2 * pitch;
            if(pitch > -1f && pitch < 1f)
            {
                return 1f;
            }

            float effect = 0.5f * AngleCalculator.UpDownAdjustByAngle(pitch) * AngleCalculator.RollMultiplier(roll);
            return 1f - effect;
        }

        internal static float CalculateLeanBackFixerMultiplier(float mass, float pitch, float roll)
        {
            pitch = 2 * pitch;
            roll = 2 * roll;
            if(pitch < -0.5f || pitch > 0f)
            {
                return 1f;
            }

            float diff = 4f * Mathf.Abs(-0.25f - pitch);
            float minTarget1 = Mathf.Lerp(0.25f, 1.00f, 1f - mass);
            float minTarget2 = Mathf.Lerp(minTarget1, 1.00f, roll * roll);
            return Mathf.Lerp(minTarget2, 1.00f, diff);
        }

        internal static float CalculateRollFixerMultiplier(float mass, float roll)
        {
            float minTarget1 = Mathf.Lerp(0.50f, 1.00f, 1f - mass);
            return Mathf.Lerp(minTarget1, 1.00f, 1 - roll * roll);
        }
    }
}
