using NAT.Common;
using NAT.Common.Handlers;
using NAT.TM.Handlers;
using Naturalis;
using System;
using System.Collections.Generic;

namespace NAT.TM
{
    class Provider : ProviderBase
    {
        internal Provider(TittyMagic tittyMagic) : base(
            new Dictionary<Type, object>
            {
                { typeof(TittyMagic), tittyMagic },
                { typeof(AngleCalculator), new AngleCalculator() },
                { typeof(BreastJointPhysicsHandler), new BreastJointPhysicsHandler() },
                { typeof(BreastSoftPhysicsHandler), new BreastSoftPhysicsHandler() },
                { typeof(BreastGravityPhysicsHandler), new BreastGravityPhysicsHandler() },
                { typeof(BreastForcePhysicsHandler), new BreastForcePhysicsHandler() },
                { typeof(FrictionHandler), new BreastFrictionHandler() },
                { typeof(HardColliderHandler), new BreastColliderHandler() },
                { typeof(BreastForceMorphHandler), new BreastForceMorphHandler() },
                { typeof(BreastGravityOffsetMorphHandler), new BreastGravityOffsetMorphHandler() },
                { typeof(NippleErectionHandler), new NippleErectionHandler() },
                { typeof(ChestClothingHandler), new ChestClothingHandler() },
            })
        {
        }
    }
}
